Subject: Re: [PATCH 1/2] ARM: Remove redundant ARCH_SPARSEMEM_DEFAULT setting

From: Russell King - ARM Linux admin <[email-masked]>
Date: Thu, 7 May 2020 19:50:31 +0100

On Thu, May 07, 2020 at 10:25:16AM -0700, Florian Fainelli wrote:
> 
> 
> On 5/7/2020 3:30 AM, Russell King - ARM Linux admin wrote:
> > On Wed, May 06, 2020 at 04:50:08PM -0700, Florian Fainelli wrote:
> >> From: Kevin Cernekee <[email-masked]>
> >>
> >> If ARCH_SPARSEMEM_ENABLE=y and ARCH_{FLATMEM,DISCONTIGMEM}_ENABLE=n,
> >> then the logic in mm/Kconfig already makes CONFIG_SPARSEMEM the only
> >> choice.  This is true for all of the existing ARM users of
> >> ARCH_SPARSEMEM_ENABLE.
> >>
> >> Forcing ARCH_SPARSEMEM_DEFAULT=y if ARCH_SPARSEMEM_ENABLE=y prevents
> >> us from ever defaulting to FLATMEM, so we should remove this setting.
> > 
> > No explanation why that is desirable.
> 
> This was explained in the original submission out of which only the
> first patch landed upstream:
> 
> https://lkml.org/lkml/2015/6/4/756

Sorry, I don't see where.  The message you link to is for patch 1.
I'd say that the reason only the first patch landed is because that's
all I was happy with.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 10.2Mbps down 587kbps up

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel